com.h3c.sdn.misc.dsync.net

## Class MsgContextSyncObj

- java.lang.Object
- - com.h3c.sdn.misc.dsync.AbstractSyncObj<MsgContextSyncObj>
  - - com.h3c.sdn.misc.dsync.net.MsgContextSyncObj

- All Implemented Interfaces:
    SyncObj<MsgContextSyncObj>, Serializable

      public class MsgContextSyncObj
      extends AbstractSyncObj<MsgContextSyncObj>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MsgContextSyncObj()`
    `MsgContextSyncObj(String Key, List<MsgContextDTO> messageContextList, String Uid)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SyncObj<MsgContextSyncObj>` | `decode(com.fasterxml.jackson.databind.node.ObjectNode jsonNode)` Convert a given raw ObjectNode to required SyncObject.
    `com.fasterxml.jackson.databind.node.ObjectNode` | `encode(com.fasterxml.jackson.databind.node.ObjectNode rawNode)` Stuffs an empty ObjectNode with desired form of the SyncObj.
    `String` | `getKey()`
    `List<MsgContextDTO>` | `getMsgCtxList()`
    `String` | `getUid()`

    - ### Methods inherited from class com.h3c.sdn.misc.dsync.AbstractSyncObj

      `isNull, mapper, marshal, unmarshal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MsgContextSyncObj

          public MsgContextSyncObj()

    - #### MsgContextSyncObj

          public MsgContextSyncObj(String Key,
                           List<MsgContextDTO> messageContextList,
                           String Uid)

  - ### Method Detail

    - #### getMsgCtxList

          public List<MsgContextDTO> getMsgCtxList()

    - #### getKey

          public String getKey()

    - #### getUid

          public String getUid()

    - #### encode

          public com.fasterxml.jackson.databind.node.ObjectNode encode(com.fasterxml.jackson.databind.node.ObjectNode rawNode)

      Description copied from class: `AbstractSyncObj`
      Stuffs an empty ObjectNode with desired form of the SyncObj. at this point.
      Specified by:
        `encode` in class `AbstractSyncObj<MsgContextSyncObj>`
      Parameters:
        `rawNode` - the empty ObjectNode that needs to be built on.
      Returns:
        the fully dressed ObjectNode that represents the SyncObj.

    - #### decode

          public SyncObj<MsgContextSyncObj> decode(com.fasterxml.jackson.databind.node.ObjectNode jsonNode)

      Description copied from class: `AbstractSyncObj`
      Convert a given raw ObjectNode to required SyncObject.
      Specified by:
        `decode` in class `AbstractSyncObj<MsgContextSyncObj>`
      Parameters:
        `jsonNode` - the raw ObjectNode synthesized from the bytes retrieved from the HA infrastructure.
      Returns:
        the decoded SyncObject

Copyright © 2014. All Rights Reserved.